# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KRootPermsIcon Class Reference

Icon to show whether or not a user has root permissions. More...

`#include <kauthicon.h>`

Inheritance diagram for KRootPermsIcon:

[legend]
Collaboration diagram for KRootPermsIcon:

[legend]
List of all members.

## Public Slots

void | updateStatus ()

## Public Member Functions

| KRootPermsIcon (QWidget *parent=0, const char *name=0)
bool | status () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

bool | root

## Detailed Description

Icon to show whether or not a user has root permissions.

See also:
  KAuthIcon

Author:
  Preston Brown <pbrown@kde.org>

Definition at line 103 of file kauthicon.h.

## Member Function Documentation

bool KRootPermsIcon::status | ( |  | ) | const`[inline, virtual]`

| return whether or not the current user has root permissions. Implements KAuthIcon. Definition at line 114 of file kauthicon.h.

void KRootPermsIcon::updateStatus | ( |  | ) | `[virtual, slot]`

| Re-implement this method if you want the icon to update itself when something external has changed (i.e. a file on disk, uid/gid). Implements KAuthIcon. Definition at line 154 of file kauthicon.cpp. References KAuthIcon::authChanged(), QLabel::setPixmap(), QLabel::setText(), and QWidget::update().

The documentation for this class was generated from the following files:

- kauthicon.h
- kauthicon.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:22:01 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003